| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::D3D9Driver Class Reference

`#include <OgreD3D9Driver.h>`

Inheritance diagram for Ogre::D3D9Driver:
[legend]

## Public Member Functions
| D3D9Driver ()
| D3D9Driver (const D3D9Driver &ob)
| D3D9Driver (unsigned int adapterNumber, const D3DCAPS9 &deviceCaps, const D3DADAPTER_IDENTIFIER9 &adapterIdentifer, const D3DDISPLAYMODE &desktopDisplayMode)
| ~D3D9Driver ()
String | DriverDescription () const
String | DriverName () const
const D3DADAPTER_IDENTIFIER9 & | getAdapterIdentifier () const
unsigned int | getAdapterNumber () const
const D3DCAPS9 & | getD3D9DeviceCaps () const
const D3DDISPLAYMODE & | getDesktopMode () const
D3D9VideoModeList * | getVideoModeList ()

## Constructor & Destructor Documentation

## ◆ D3D9Driver() [1/3]

Ogre::D3D9Driver::D3D9Driver | ( |  | ) |

## ◆ D3D9Driver() [2/3]

Ogre::D3D9Driver::D3D9Driver | ( | const D3D9Driver & | ob | ) |

## ◆ D3D9Driver() [3/3]

Ogre::D3D9Driver::D3D9Driver | ( | unsigned int | adapterNumber,
|  | const D3DCAPS9 & | deviceCaps,
|  | const D3DADAPTER_IDENTIFIER9 & | adapterIdentifer,
|  | const D3DDISPLAYMODE & | desktopDisplayMode
| ) |  |

## ◆ ~D3D9Driver()

Ogre::D3D9Driver::~D3D9Driver | ( |  | ) |

## Member Function Documentation

## ◆ getD3D9DeviceCaps()

const D3DCAPS9& Ogre::D3D9Driver::getD3D9DeviceCaps | ( |  | ) | const
| inline

## ◆ DriverName()

String Ogre::D3D9Driver::DriverName | ( |  | ) | const

## ◆ DriverDescription()

String Ogre::D3D9Driver::DriverDescription | ( |  | ) | const

## ◆ getAdapterNumber()

unsigned int Ogre::D3D9Driver::getAdapterNumber | ( |  | ) | const
| inline

## ◆ getAdapterIdentifier()

const D3DADAPTER_IDENTIFIER9& Ogre::D3D9Driver::getAdapterIdentifier | ( |  | ) | const
| inline

## ◆ getDesktopMode()

const D3DDISPLAYMODE& Ogre::D3D9Driver::getDesktopMode | ( |  | ) | const
| inline

## ◆ getVideoModeList()

D3D9VideoModeList* Ogre::D3D9Driver::getVideoModeList | ( |  | ) |

The documentation for this class was generated from the following file:

- OgreD3D9Driver.h